Subject: bug#37901: 24.4; GNUS: gnus-group-customize breaks posting-style encoding

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Oct 2019 15:13:00 +0100

Sergey Organov <[email-masked]> writes:

> Even though I report this for emacs 24.4, the code that is suspect[1] is
> still there in git:master:b3b7451, so it's likely the bug is not yet
> fixed.

Yup, I'm still seeing this in Emacs 27.

> [1] The suspect code is:
>
>     ;; Encode values posting-style holds.
>     (dolist (style (cdr (assq 'posting-style params)))
>       (when (stringp (cadr style))
> 	(setcdr style (list (encode-coding-string (cadr style) 'utf-8)))))
>
> in gnus-group-customize-done, and it has matching chunk:
>
>       ;; Decode values posting-style holds.
>       (dolist (style (cdr (assq 'posting-style values)))
> 	(when (stringp (cadr style))
> 	  (setcdr style (list (decode-coding-string (cadr style) 'utf-8)))))
>
> in gnus-group-customize, though the latter seems to be harmless.

Thanks for tracking down the error.  Removing the code in [1] indeed
fixes the problem (I think it was necessary before when the .newsrc.eld
file wasn't utf-8, but now it's an error.  And I removed the latter
chunk, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no